import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function list(query) {
  return request({
    url: '/ai/intelligentAnnotation/service/list',
    method: 'get',
    params: query
  })
}
export function listWithNoPage(query) {
  return request({
    url: '/ai/intelligentAnnotation/service/listWithNoPage',
    method: 'get',
    params: query
  })
}
// 查询【请填写功能名称】详细
export function getService(id) {
  return request({
    url: '/ai/intelligentAnnotation/getInfo/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addService(data) {
  return request({
    url: '/ai/intelligentAnnotation/add',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateService(data) {
  return request({
    url: '/ai/intelligentAnnotation/update',
    method: 'post',
    data: data
  })
}

export function delService(id) {
  return request({
    url: '/ai/intelligentAnnotation/delete/' + id,
    method: 'post'
  })
}

export function autoAnnotate(data) {
  return request({
    url: '/ai/intelligentAnnotation/annotate',
    method: 'post',
    data:data,
    timeout: 0//修改超时返回报错，设置为无限超时
  })
}



